explain_setregid_or_die(3)

NAME
explain_setregid_or_die - set real and/or effective group ID and report errors
    "set real and/or effective group ID and report errors"

SYNOPSIS
#include <libexplain/setregid.h>

void explain_setregid_or_die(gid_t rgid, gid_t egid);
int explain_setregid_on_error(gid_t rgid, gid_t egid);

DESCRIPTION
The explain_setregid_or_die function is used to call the setregid(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_setregid(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_setregid_on_error function is used to call the setregid(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_setregid(3) function, but still returns to the caller.

rgid
    The rgid, exactly as to be passed to the setregid(2) system call.

egid
    The egid, exactly as to be passed to the setregid(2) system call.

RETURN VALUE
The explain_setregid_or_die function only returns on success, see setregid(2) for more information. On failure, prints an explanation and exits, it does not return.

The explain_setregid_on_error function always returns the value return by the wrapped setregid(2) system call.

EXAMPLE
The explain_setregid_or_die function is intended to be used in a fashion similar to the following example:
    explain_setregid_or_die(rgid, egid);

SEE ALSO

setregid(2)
    set real and/or effective group ID

explain_setregid(3)
    explain setregid(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.2
Copyright (C) 2012 Peter Miller